Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - m -

- m_cRef : tagIEVENTSINKOBJ
- m_event_id : tagIEVENTSINKOBJ
- m_iid : tagIEVENTSINKOBJ
- m_tbl : RClass
- machine_regs : rb_thread_struct
- machine_stack : rb_context_struct
- machine_stack_end : rb_thread_struct
- machine_stack_maxsize : rb_thread_struct
- machine_stack_size : rb_context_struct
- machine_stack_src : rb_context_struct
- machine_stack_start : rb_thread_struct
- main_thread : rb_vm_struct
- malloc_params : rb_objspace
- map : NodeOptInfo , re_pattern_buffer , OptMapInfo
- mark : rb_method_entry_struct
- mark_ary : iseq_compile_data , rb_iseq_struct
- mark_object_ary : rb_vm_struct
- mark_stack_len : rb_thread_struct
- marker : _syck_parser , _syck_emitter , global_variable
- markers : _syck_emitter
- markstack : rb_objspace
- master : child_info
- match : RVALUE
- max : tr , minmax_t , minmax_by_t , MinMaxLen
- max_bv : minmax_by_t
- max_enc_len : OnigEncodingTypeST
- max_input : rb_transcoder
- max_len : EncloseNode
- max_nesting : JSON_Generator_StateStruct , JSON_ParserStruct
- max_output : rb_transcoder
- maxbno : DBM
- MaxPrec : Real
- maxwds : Bigint
- mbc_case_fold : OnigEncodingTypeST
- mbc_to_code : OnigEncodingTypeST
- mbuf : CClassNode
- mday : vtm
- me : unlinked_method_entry_list_entry , METHOD , rb_control_frame_t , cache_entry
- mem : _OnigStackType
- mem_alloc : ScanEnv
- mem_nodes_dynamic : ScanEnv
- mem_nodes_static : ScanEnv
- membase : heaps_slot
- memo : JSON_ParserStruct
- mesg : rsock_send_arg
- meta_char_table : OnigSyntaxType
- meth : enumerator
- method : cmd_body_arg , conv_method_tbl , iseq_inline_cache_entry
- method_index : oleparamdata
- method_missing_reason : rb_thread_struct
- mid : iter_method_arg , cache_entry
- mild_compile_error : rb_thread_struct
- mimeout_state : nkf_state_t
- min : MinMaxLen , vtm , minmax_t , minmax_by_t
- min_bv : minmax_by_t
- min_enc_len : OnigEncodingTypeST
- min_len : EncloseNode
- mmd : OptEnv , OptExactInfo , OptMapInfo
- mode : rb_io_t , seek_arg
- modtime : utimbuf
- mon : vtm
- msg_control : msghdr
- msg_controllen : msghdr
- msg_flags : msghdr
- msg_iov : msghdr
- msg_iovlen : msghdr
- msg_name : msghdr
- msg_namelen : msghdr
- mt : rb_random_t
- mtime : gzfile , utime_args